<template>
  <div class="small-banner">
    <h6 class="small-banner__subheader">
      {{ subheader }}
    </h6>
    <h3 class="small-banner__header">
      {{ header }}
    </h3>
    <read-btn :name="btnName" :link="'#'"></read-btn>
    <img src="" alt="" class="small-banner__img">
    <div class="small-banner__illustration">
    
    </div>
  </div>
</template>

<script>
    import ReadBtn from "../ReadBtn";

    export default {
        name: "SmallBanner",
        props: ['header', 'subheader', 'btn-name'],
        components: {ReadBtn}
    }
</script>

<style lang="sass" scoped>
  .small-banner
    position: relative
    border-radius: rem(12)
    overflow: hidden
    text-align: left
    padding: 10% 7%
    background-color: rgba(33, 0, 67, 1)
    grid-area: 1 / 3 / 2 / 4
    
    .btn--ghost
      position: relative
      z-index: 1
    
    &__header
      position: relative
      z-index: 1
      padding-bottom: 8%
      font-size: rem(24)
      line-height: rem(26)
      font-family: $Avenir
      color: $whiteText
      font-weight: 700
      max-width: 50%
      margin-bottom: rem(15)
    
    &__subheader
      position: relative
      z-index: 1
      text-transform: uppercase
      color: $whiteText
      font-size: rem(10)
      line-height: rem(12)
      font-weight: 500
      letter-spacing: rem(1.8)
      opacity: 0.6
      max-width: 65%
      margin-bottom: rem(5)
    
    &__illustration
      position: absolute
      display: block
      width: 200%
      height: 400%
      left: -10%
      top: -50%
      z-index: 0
      background-color: rgba(103, 13, 219, 0.3)
      -webkit-border-radius: 100%
      -moz-border-radius: 100%
      border-radius: 0 0 0 100%
      
      &:after
        content: ''
        position: absolute
        display: block
        width: 100%
        height: 100%
        left: -5%
        top: 30%
        z-index: 0
        background-color: rgba(103, 13, 219, 0.2)
        -webkit-border-radius: 100%
        -moz-border-radius: 100%
        border-radius: 100%
      
      &:before
        content: ''
        position: absolute
        display: block
        width: 100%
        height: 150%
        left: 0
        top: 10%
        z-index: 0
        background-color: rgba(183, 13, 219, 0.2)
        -webkit-border-radius: 100%
        -moz-border-radius: 100%
        border-radius: 20% 100% 0 0


</style>